# Subroutine free
Keywords: userhtml

Next: Subroutine descr Up: User Interface Previous: Subroutine apply Contents

##
Subroutine free

`call p%free(p,info)`

This routine deallocates the preconditioner data structure `p`.

Arguments

`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.

For compatibility with the previous versions of MLD2P4, this routine can be also invoked as follows:

`call mld_precfree(p,info)`